package locales

var dict_ashkenazi = map[string]string{
	"Berachot": "Berachos",
	"Shabbat": "Shabbos",
	"Taanit": "Taanis",
	"Yevamot": "Yevamos",
	"Ketubot": "Kesubos",
	"Baba Batra": "Baba Basra",
	"Makkot": "Makkos",
	"Shevuot": "Shevuos",
	"Horayot": "Horayos",
	"Menachot": "Menachos",
	"Bechorot": "Bechoros",
	"Keritot": "Kerisos",
	"Midot": "Midos",
	"Achrei Mot": "Achrei Mos",
	"Bechukotai": "Bechukosai",
	"Beha'alotcha": "Beha'aloscha",
	"Bereshit": "Bereshis",
	"Chukat": "Chukas",
	"Erev Shavuot": "Erev Shavuos",
	"Erev Sukkot": "Erev Sukkos",
	"Ki Tavo": "Ki Savo",
	"Ki Teitzei": "Ki Seitzei",
	"Ki Tisa": "Ki Sisa",
	"Matot": "Matos",
	"Purim Katan": "Purim Koton",
	"Tazria": "Sazria",
	"Shabbat Chazon": "Shabbos Chazon",
	"Shabbat HaChodesh": "Shabbos HaChodesh",
	"Shabbat HaGadol": "Shabbos HaGadol",
	"Shabbat Nachamu": "Shabbos Nachamu",
	"Shabbat Parah": "Shabbos Parah",
	"Shabbat Shekalim": "Shabbos Shekalim",
	"Shabbat Shuva": "Shabbos Shuvah",
	"Shabbat Zachor": "Shabbos Zachor",
	"Shavuot": "Shavuos",
	"Shavuot I": "Shavuos I",
	"Shavuot II": "Shavuos II",
	"Shemot": "Shemos",
	"Shmini Atzeret": "Shmini Atzeres",
	"Simchat Torah": "Simchas Torah",
	"Sukkot": "Sukkos",
	"Sukkot I": "Sukkos I",
	"Sukkot II": "Sukkos II",
	"Sukkot II (CH''M)": "Sukkos II (CH''M)",
	"Sukkot III (CH''M)": "Sukkos III (CH''M)",
	"Sukkot IV (CH''M)": "Sukkos IV (CH''M)",
	"Sukkot V (CH''M)": "Sukkos V (CH''M)",
	"Sukkot VI (CH''M)": "Sukkos VI (CH''M)",
	"Sukkot VII (Hoshana Raba)": "Sukkos VII (Hoshana Raba)",
	"Ta'anit Bechorot": "Ta'anis Bechoros",
	"Ta'anit Esther": "Ta'anis Esther",
	"Toldot": "Toldos",
	"Vaetchanan": "Vaeschanan",
	"Yitro": "Yisro",
	"Vezot Haberakhah": "Vezos Haberakhah",
	"Parashat": "Parshas",
	"Leil Selichot": "Leil Selichos",
	"Shabbat Mevarchim Chodesh": "Shabbos Mevorchim Chodesh",
	"Shabbat Shirah": "Shabbos Shirah",
	"Tevet": "Teves",
	"Asara B'Tevet": "Asara B'Teves",
	"Berakhot": "Berakhos",
	"Sheviit": "Sheviis",
	"Terumot": "Terumos",
	"Maasrot": "Maasros",
	"Eduyot": "Eduyos",
	"Avot": "Avos",
	"Bekhorot": "Bekhoros",
	"Middot": "Middos",
	"Oholot": "Oholos",
	"Tahorot": "Tahoros",
	"Mikvaot": "Mikvaos",
	"Alot HaShachar": "Alos HaShachar",
	"Kriat Shema, sof zeman": "Krias Shema, sof zman",
	"Tefilah, sof zeman": "Tefilah, sof zman",
	"Kriat Shema, sof zeman (MGA)": "Krias Shema, sof zman (MGA)",
	"Tefilah, sof zeman (MGA)": "Tefilah, sof zman (MGA)",
	"Chatzot HaLailah": "Chatzos HaLailah",
	"Chatzot hayom": "Chatzos",
	"Tzeit HaKochavim": "Tzeis HaKochavim",
	"Birkat Hachamah": "Birkas Hachamah",
	"Shushan Purim Katan": "Shushan Purim Koton",
}

func Lookup_ashkenazi(s string) (string, bool) {
	v, ok := dict_ashkenazi[s]
	if ok {
		return v, true
	}
	return s, false
}
